<?php

    $NETCAT_FOLDER = join(strstr(__FILE__, "/") ? "/" : "\\", array_slice(preg_split("/[\/\\\]+/", __FILE__), 0, -4)).( strstr(__FILE__, "/") ? "/" : "\\" );

    include_once ($NETCAT_FOLDER."vars.inc.php");
    require ($MODULE_FOLDER."smsgate/admin.inc.php");
    require ($ADMIN_FOLDER."function.inc.php");
    require_once ($ADMIN_FOLDER."modules/ui.php");

    $UI_CONFIG = new ui_config_module('smsgate');

    if (is_file($MODULE_FOLDER."smsgate/".MAIN_LANG.".lang.php")) {
        require_once ($MODULE_FOLDER."smsgate/".MAIN_LANG.".lang.php");
    }
    else {
        require_once ($MODULE_FOLDER."smsgate/en.lang.php");
    }

    global $db;

    $perm->ExitIfNotAccess(NC_PERM_MODULE, 0, 0, 0, 1);
    $MODULE_VARS = $nc_core->modules->get_module_vars();

    if ($_POST['save_tpls']) {

        updateTemplates($_POST);
	    echo "<center><h4>Данные были успешно сохранены</h4></center>";

    }

    echo "
<hr/>
<p>Для начала работы с установленным модулем \"Pir.Company: SMS-уведомления\" необходимо пройти <a href='https://netcat.pir.company/ru/reg.html' target='_blank'>регистрацию</a> на сервисе Pir.Company и дождаться активации аккаунта, которая происходит с понедельника по пятницу с 9.00 до 18.00 по московскому времени.</p>
 
<p>Актуальные цены - <a href='https://pir.company/integration/module-sms-notifications-for-netcat/' target='_blank'>тарифы для NetCat</a></p>

<p>Для использования в смс уникального имени отправителя необходимо согласование с вашим менеджером сервиса Pir.Company</p>
 
<p>Для отправки SMS-уведомлений используется сервис <a href='https://pir.company' target='_blank'>Pir.Company</a>.</p>
<hr/>
<center><h3>Настройка и активация шаблонов SMS уведомлений</h3></center>
";

    $smsgate_templates = getSmsGateTemplates();

    echo "<form method='POST' action=''>";
    foreach ($smsgate_templates as $tpl) {

        echo "
		<div><label><input type='checkbox' name='is_active_cb_".$tpl['id']."' ".($tpl['is_active'] ? "checked" : "")."> <b>".$tpl['admin_tpl_name']."</b></label></div>
		<div>
			Шаблон отсылаемого SMS сообщения<br/>
			<textarea name='template[]' style='width:100%; height: 150px;'>".$tpl['template']."</textarea><br/>
			Разрешенные к использованию переменные в шаблоне:<br/>
			%PIR_SHOP_NAME% - наименование магазина из настроек CMS<br/>
			%PIR_ORDER_ID% - ID заказа<br/>
			%PIR_STATUS% - статус заказа<br/>
			%PIR_CLIENT_NAME% - имя клиента<br/>
			%PIR_CLIENT_PHONE% - телефон клиента<br/>
			%PIR_CLIENT_EMAIL% - E-mail клиента<br/>
			%PIR_CLIENT_ADDRESS% - Адрес клиента<br/>
			%PIR_ORDERED_PRODUCTS% - заказанные товары - только для редакций Business и старше<br/>
		</div>
		<input type='hidden' name='tpl_id[]' value='".$tpl['id']."' />
		<hr/><br/>
	";
    }

    echo "<input type='submit' name='save_tpls' value='Сохранить'>";
    echo "</form>";


?>